cURL
curl --request PATCH \ --url https://productlane.com/api/v1/contacts/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "email": "jsmith@example.com", "companyId": "<string>", "companyName": "<string>", "companyExternalId": "<string>" } '
{ "id": "<string>", "email": "<string>", "name": "<string>", "imageUrl": "<string>", "companyId": "<string>", "workspaceId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "isDeleted": true, "version": 123, "intercomId": "<string>", "hubspotId": "<string>", "productboardId": "<string>", "zendeskId": "<string>" }
Update contact by ID. You can update only your own contacts, and authentication is required.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
1 - 255
254
Successful response